org.apache.mina.coap.resource

## Class AbstractResourceHandler

- java.lang.Object
- - org.apache.mina.coap.resource.AbstractResourceHandler

- All Implemented Interfaces:
    ResourceHandler

      public abstract class AbstractResourceHandler
      extends Object
      implements ResourceHandler

  A base implementation for `ResourceHandler` when you don't want to return all the resources meta-data.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInterface()` Interface name of this resource (or `null`), can be an URL to a WADL file.
    `String` | `getResourceType()` Resource type (or `null`).
    `String` | `getTittle()` Detailed title for this path (or `null`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.coap.resource.ResourceHandler

      `getPath, handle`

- - ### Constructor Detail

    - #### AbstractResourceHandler

          public AbstractResourceHandler()

  - ### Method Detail

    - #### getInterface

          public String getInterface()

      Interface name of this resource (or `null`), can be an URL to a WADL file. See http://datatracker.ietf.org/doc/rfc6690/
      Specified by:
        `getInterface` in interface `ResourceHandler`

    - #### getResourceType

          public String getResourceType()

      Resource type (or `null`). See http://datatracker.ietf.org/doc/rfc6690/
      Specified by:
        `getResourceType` in interface `ResourceHandler`

    - #### getTittle

          public String getTittle()

      Detailed title for this path (or `null`). See http://datatracker.ietf.org/doc/rfc6690/
      Specified by:
        `getTittle` in interface `ResourceHandler`

Copyright © 2009–2013 Apache MINA Project. All rights reserved.